org.scalatest.events

# MotionToSuppress

#### object MotionToSuppress extends Formatter with Product with Serializable

A `Formatter` that indicates reporters may wish to suppress reporting of an `Event`. "Suppress" means that the event won't be reported to the user.

An example is that specification-style suites, such as `Spec`, generate output that reads more like a specification. One aspect of this is that generally only a single event should be reported for each test, so that output can appear like this:

    A Stack (when newly created)
    - should be empty
    - should complain when popped

ScalaTest suites should generate two events per test, a `TestStarting` event and either a `TestSucceeded` or a `TestFailed` event. The `Spec` trait does report both events, but passes a `MotionToSuppress` along with the `TestStarting` event. As a result, The `TestStarting` events have no effect on the output. Each `TestSucceeded` or `TestFailed` event, which is sent with an `IndentedText` formatter instead of a `MotionToSuppress`, will generate output, such as "`- should be empty`".

Reporters may choose to ignore a `MotionToSuppress`. For example, an XML reporter may want to report everything about every event that is fired during a concurrent run, so that the events can be reordered later by reading the complete, but unordered, information from an XML file. In this case, the XML reporter would actually report events that were fired with a `MotionToSuppress`, including indicating that the report included a motion to suppress.

Linear Supertypes
Serializable, Serializable, Product, Equals, Formatter, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. MotionToSuppress
2. Serializable
3. Serializable
4. Product
5. Equals
6. Formatter
7. AnyRef
8. Any

Visibility

1. Public
2. All

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     MotionToSuppress → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def productArity : Int

    Definition Classes
      MotionToSuppress → Product

19. #### def productElement (arg0: Int): Any

    Definition Classes
      MotionToSuppress → Product

20. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

21. #### def productPrefix : String

    Definition Classes
      MotionToSuppress → Product

22. #### def readResolve (): AnyRef

    Attributes
      protected

23. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def toString (): String

    Attributes
      final
    Definition Classes
      MotionToSuppress → AnyRef → Any

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Formatter

### Inherited from AnyRef

### Inherited from Any